%define name metakit
%define version 2.4.6
%define release 3mdk
%define prefix %{_prefix}
%define lib_name_orig libmetakit
%define lib_major 0
%define lib_name %{lib_name_orig}%{lib_major}

Summary: Embeddable database
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source: %{name}-%{version}-36.tar.bz2
Patch0: metakit-2.4.6-provide-lib-version.patch.bz2
URL: http://www.equi4.com/metakit/
# Author: Jean-Claude Wippler <jcw@equi4.com>

%description
MetaKit is an embeddable database which runs on Unix, Windows, Macintosh,
and other platforms. It lets you build applications which store their data
efficiently, in a portable way, and which will not need a complex runtime
installation. In terms of the data model, MetaKit takes the middle ground
between RDBMS, OODBMS, and flat-file databases - yet it is quite different
from each of them.

%package -n %{lib_name}
Summary: Main library for %{name}
Group: System/Libraries
Provides: %{lib_name_orig} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{lib_name}-devel
Summary: Files to compile programs that will use %{name}
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q
%patch0 -p0
rm -rf builds/tests/CVS

%build
cd unix
perl -pi -e "s/^CXXFLAGS.*/CXXFLAGS = $RPM_OPT_FLAGS/" Makefile.in
cd ../builds
CONFIGURE_TOP="../unix" %configure2_5x
make

%install
cd builds
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-, root, root)
%doc README
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc README
%{_libdir}/*.so
%{_libdir}/*.*a
%{_includedir}/*

%changelog
* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.4.6-3mdk
- rebuild

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.4.6-2mdk
- rebuild

* Mon Jun  3 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.4.6-1mdk
- recompile against latest libstdc++
- new version
- provide library version so that we can use dynamic library as usual

* Mon Feb 18 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.4.3-1mdk
- first mdk release as a separate package (was previously inside simgear)
